#ifndef GEOMETRY_H_
#define GEOMETRY_H_

int createSphere(int sectorCount, int stackCount, float radius, unsigned int *sphereVAO, unsigned int *sphereVBO, unsigned int *sphereEBO, unsigned int *NUM_INDICES);

extern unsigned int texture1;
extern unsigned int plane_elements, plane_buffer, plane_array;
int InitializeSpinningQuad();

extern mat4x4 cube_mat4;
extern unsigned int cube_buffer, cube_elements, cube_array;
int InitializeCube(); // player default

#endif
